      LOGICAL FUNCTION TRITST ( AVID, BVID, ACENT, ANORM, BVERT,
     .                          NVIS, VISLST )
 
C
C     Returns true if at least one vertex of plate B is
C     visible from plate A.  Also returns a list of plate-B
C     vertices which are visible from plate-A.
C
 
      IMPLICIT              NONE
 
      LOGICAL               INLIST
 
      INTEGER               I
      INTEGER               NVIS
      INTEGER               PINHFS
      INTEGER               AVID      ( 3 )
      INTEGER               BVID      ( 3 )
      INTEGER               VISLST    ( * )
 
      DOUBLE PRECISION      ACENT     ( 3 )
      DOUBLE PRECISION      ANORM     ( 3 )
      DOUBLE PRECISION      BVERT     ( 3, 3 )
 
 
      TRITST = .FALSE.
      NVIS   = 0
 
      DO I = 1, 3
 
         IF ( .NOT. INLIST( 3, AVID, BVID(I) ) ) THEN
 
            IF ( PINHFS( BVERT(1,I), ACENT, ANORM ) .EQ. 1 ) THEN
               TRITST = .TRUE.
               NVIS = NVIS + 1
               VISLST(NVIS) = BVID(I)
            END IF
 
         END IF
 
      END DO
 
      RETURN
      END
